Debian Bug report logs - #332898
serio hotplug broken?

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Encolpe DEGOUTE <encolpe@colpi.info>

Date: Sun, 9 Oct 2005 11:03:02 UTC

Severity: grave

Tags: help, unreproducible

Found in versions udev/0.070-3, udev/0.070-4

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Encolpe DEGOUTE <encolpe@colpi.info>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Encolpe DEGOUTE <encolpe@colpi.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 09 Oct 2005 12:44:21 +0200
Package: udev
Version: 0.070-3
Severity: important


Neither usbmouse nor psmouse (for touchpad) drivers create their device
when they'reloaded. It's a bit difficult to run X in these conditions.

Regards,

-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 4
lrwxrwxrwx  1 root root  20 2005-07-15 14:44 020_permissions.rules -> ../permissions.rules
lrwxrwxrwx  1 root root  23 2005-09-30 11:22 025_libsane-extras.rules -> ../libsane-extras.rules
lrwxrwxrwx  1 root root  16 2005-09-30 11:22 025_libsane.rules -> ../libsane.rules
lrwxrwxrwx  1 root root  12 2005-09-07 15:17 050_hal-plugdev.rules -> ../hal.rules
-rw-r--r--  1 root root 120 2005-02-12 11:42 10-wacom.rules
lrwxrwxrwx  1 root root  19 2005-07-15 14:44 cd-aliases.rules -> ../cd-aliases.rules
lrwxrwxrwx  1 root root  13 2005-07-15 14:44 udev.rules -> ../udev.rules
lrwxrwxrwx  1 root root  19 2005-08-15 11:33 z20_persistent.rules -> ../persistent.rules
lrwxrwxrwx  1 root root  12 2005-07-22 01:32 z50_run.rules -> ../run.rules
lrwxrwxrwx  1 root root  16 2005-10-09 09:20 z55_hotplug.rules -> ../hotplug.rules
lrwxrwxrwx  1 root root  19 2005-08-03 12:31 z60_alsa-utils.rules -> ../alsa-utils.rules
lrwxrwxrwx  1 root root  15 2005-09-20 22:56 z60_hdparm.rules -> ../hdparm.rules
lrwxrwxrwx  1 root root  17 2005-07-22 01:45 z60_usbmount.rules -> ../usbmount.rules
lrwxrwxrwx  1 root root  17 2005-07-22 01:32 z70_hotplugd.rules -> ../hotplugd.rules

-- /sys/:
/sys/block/hda/dev
/sys/block/hdc/dev
/sys/block/hdc/hdc1/dev
/sys/block/hdc/hdc2/dev
/sys/block/hdc/hdc3/dev
/sys/block/hdc/hdc4/dev
/sys/block/hdc/hdc5/dev
/sys/block/ram0/dev
/sys/block/ram10/dev
/sys/block/ram11/dev
/sys/block/ram12/dev
/sys/block/ram13/dev
/sys/block/ram14/dev
/sys/block/ram15/dev
/sys/block/ram1/dev
/sys/block/ram2/dev
/sys/block/ram3/dev
/sys/block/ram4/dev
/sys/block/ram5/dev
/sys/block/ram6/dev
/sys/block/ram7/dev
/sys/block/ram8/dev
/sys/block/ram9/dev
/sys/class/misc/agpgart/dev
/sys/class/misc/device-mapper/dev
/sys/class/misc/hpet/dev
/sys/class/misc/hw_random/dev
/sys/class/nvidia/nvidia0/dev
/sys/class/nvidia/nvidiactl/dev
/sys/class/sound/adsp/dev
/sys/class/sound/audio1/dev
/sys/class/sound/audio/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/controlC1/dev
/sys/class/sound/dsp1/dev
/sys/class/sound/dsp/dev
/sys/class/sound/mixer1/dev
/sys/class/sound/mixer/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/pcmC0D1c/dev
/sys/class/sound/pcmC0D2c/dev
/sys/class/sound/pcmC0D3c/dev
/sys/class/sound/pcmC0D4p/dev
/sys/class/sound/pcmC1D0c/dev
/sys/class/sound/pcmC1D0p/dev
/sys/class/sound/timer/dev

-- Kernel configuration:


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages udev depends on:
ii  initscripts                   2.86.ds1-4 Standard scripts needed for bootin
ii  libc6                         2.3.5-6    GNU C Library: Shared libraries an
ii  libselinux1                   1.26-1     SELinux shared libraries
ii  lsb-base                      3.0-9      Linux Standard Base 3.0 init scrip
ii  makedev                       2.3.1-78   creates device files in /dev
ii  sed                           4.1.4-4    The GNU sed stream editor

udev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Encolpe Degoute <encolpe.degoute@free.fr>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 332898@bugs.debian.org (full text, mbox):

From: Encolpe Degoute <encolpe.degoute@free.fr>
To: 332898@bugs.debian.org
Subject: Re: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 09 Oct 2005 13:24:40 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Encolpe DEGOUTE a écrit :
| Package: udev
| Version: 0.070-3
| Severity: important
|
|
| Neither usbmouse nor psmouse (for touchpad) drivers create their device
| when they'reloaded. It's a bit difficult to run X in these conditions.

I found this one:
evdev and mousedev drivers were loaded by hotplug package and new udev
version does not.

- --
Encolpe DEGOUTE
http://encolpe.degoute.free.fr/
Logiciels libres, hockey sur glace et autres activités cérébrales
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDSP34vFPzBBlIZMMRAgi5AJ9nffYlGxj0VRcGUm+9tC2uzIMlBQCcDI+U
e67Ijl4FbtHXpm4IvmtUCTM=
=PJgE
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Encolpe DEGOUTE <encolpe@colpi.info>, 332898@bugs.debian.org, ROBERTOJIMENOCA@terra.es, 332874@bugs.debian.org, gudjon@mc2.chalmers.se
Cc: control@bugs.debian.org
Subject: Re: Bug#332898: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 9 Oct 2005 13:36:40 +0200
[Message part 1 (text/plain, inline)]
retitle 332898 serio hotplug broken?
tag 332898 unreproducible help
severity 332898 grave
thanks

On Oct 09, Encolpe DEGOUTE <encolpe@colpi.info> wrote:

> Neither usbmouse nor psmouse (for touchpad) drivers create their device
> when they'reloaded. It's a bit difficult to run X in these conditions.
Are the drivers actually being loaded? I do not see them in the sysfs
files in your bug report.

It appears that there is an error in /etc/udev/hotplug.rules, where

SUBSYSTEM=="input", BUS=="serio", ENV{MODALIAS}!="?*", \

should be replaced with:

SUBSYSTEM=="serio", ENV{MODALIAS}!="?*", \

But another user tried this and it did not work for him.

serio devices need some special handling because current kernels lack
some some features, but the modalias_serio is supposed to work around
this.
I am not sure about how this should be fixed, because on my system serio
hotplugging works. I wonder if this is related to the extreme
modularization in the official Debian kernels (e.g. I know that a serio
pseudo-event as currently generated by the kernel does not reach
udev).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #20 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Encolpe Degoute <encolpe.degoute@free.fr>, 332898@bugs.debian.org
Subject: Re: Bug#332898: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 9 Oct 2005 13:40:51 +0200
[Message part 1 (text/plain, inline)]
On Oct 09, Encolpe Degoute <encolpe.degoute@free.fr> wrote:

> I found this one:
> evdev and mousedev drivers were loaded by hotplug package and new udev
> version does not.
Interesting. evdev is not supposed to be loaded even by hotplug (it's in
the default blacklist), but what happens if you add this to the top of
/etc/init.d/udev?

modprobe mousedev
sleep 1

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: unreproducible, help Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, richardaburton@hotmail.com, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Richard Antony Burton <richardaburton@hotmail.com>:
Extra info received and forwarded to list. Copy sent to richardaburton@hotmail.com, Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #31 received at 332898@bugs.debian.org (full text, mbox):

From: Richard Antony Burton <richardaburton@hotmail.com>
To: Debian Bug Tracking System <332898@bugs.debian.org>
Subject: Re: Bug#332898: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 09 Oct 2005 13:30:00 +0100
Package: udev
Version: 0.070-3
Followup-For: Bug #332898


I've hit the same problem with the new udev package this morning. The modules
are not being loaded on my system. Adding psmouse & mousedev to /etc/modules
is an easy workaround, but not ideal since you shouldn't need to manually
specify all the hardware you need modules loaded for (hotplug used to handle
this fine). I have a ps2 mouse, but a friend has also hit the same problem with
a usb mouse.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages udev depends on:
ii  initscripts                   2.86.ds1-4 Standard scripts needed for bootin
ii  libc6                         2.3.5-6    GNU C Library: Shared libraries an
ii  libselinux1                   1.26-1     SELinux shared libraries
ii  lsb-base                      3.0-9      Linux Standard Base 3.0 init scrip
ii  makedev                       2.3.1-78   creates device files in /dev
ii  sed                           4.1.4-4    The GNU sed stream editor

udev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Encolpe Degoute <encolpe.degoute@free.fr>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #36 received at 332898@bugs.debian.org (full text, mbox):

From: Encolpe Degoute <encolpe.degoute@free.fr>
To: Marco d'Itri <md@Linux.IT>
Cc: 332898@bugs.debian.org
Subject: Re: Bug#332898: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 09 Oct 2005 17:29:46 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Marco d'Itri a écrit :
| On Oct 09, Encolpe Degoute <encolpe.degoute@free.fr> wrote:
|
|
|>I found this one:
|>evdev and mousedev drivers were loaded by hotplug package and new udev
|>version does not.
|
| Interesting. evdev is not supposed to be loaded even by hotplug (it's in
| the default blacklist), but what happens if you add this to the top of
| /etc/init.d/udev?
|
| modprobe mousedev
| sleep 1

After testing the two solutions, it still doesn't load usbmouse and
psmouse if they're not in /etc/modules. It seems that my usb mouse can
work with only mousedev loaded, but not the touchpad.
It also seems that, with my xorg/X configurationi, evdev must be load to
make Xorg/X work.

Regards,
- --
Encolpe DEGOUTE
http://encolpe.degoute.free.fr/
Logiciels libres, hockey sur glace et autres activités cérébrales

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDSTdqvFPzBBlIZMMRAkOxAJwMVzG7PViKqKGQMBzMKz8RFK6IDQCbBOLp
aoRVdEtqGIZ6jrk8p5NRurw=
=hbK2
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #41 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Encolpe Degoute <encolpe.degoute@free.fr>
Cc: 332898@bugs.debian.org
Subject: Re: Bug#332898: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 9 Oct 2005 17:35:59 +0200
[Message part 1 (text/plain, inline)]
On Oct 09, Encolpe Degoute <encolpe.degoute@free.fr> wrote:

> After testing the two solutions, it still doesn't load usbmouse and
> psmouse if they're not in /etc/modules. It seems that my usb mouse can
It's not supposed to load usbmouse at all, it's blacklisted and you do
not need it. The proper driver for USB input devices is usbhid.

> work with only mousedev loaded, but not the touchpad.
Touchpads are PS/2 devices and need psmouse.

> It also seems that, with my xorg/X configurationi, evdev must be load to
> make Xorg/X work.
I am working on a fix to automatically load mousedev and evdev, but I
cannot explain why on your system psmouse is still not being loaded
(did you modify hotplug.rules as I suggested?).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Encolpe Degoute <encolpe.degoute@free.fr>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #46 received at 332898@bugs.debian.org (full text, mbox):

From: Encolpe Degoute <encolpe.degoute@free.fr>
To: Marco d'Itri <md@Linux.IT>
Cc: 332898@bugs.debian.org
Subject: Re: Bug#332898: udev: mouse devices doesn't work anymore without hoplug
Date: Sun, 09 Oct 2005 18:25:18 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Marco d'Itri a écrit :
| On Oct 09, Encolpe Degoute <encolpe.degoute@free.fr> wrote:
|
|
|>After testing the two solutions, it still doesn't load usbmouse and
|>psmouse if they're not in /etc/modules. It seems that my usb mouse can
|
| It's not supposed to load usbmouse at all, it's blacklisted and you do
| not need it. The proper driver for USB input devices is usbhid.

After a short test I don't need usbmouse when mousedev is loaded.

|>work with only mousedev loaded, but not the touchpad.
|
| Touchpads are PS/2 devices and need psmouse.

I remember I added psmouse in /etc/modules before hotplug take care of it.

|>It also seems that, with my xorg/X configurationi, evdev must be load to
|>make Xorg/X work.
|
| I am working on a fix to automatically load mousedev and evdev, but I
| cannot explain why on your system psmouse is still not being loaded
| (did you modify hotplug.rules as I suggested?).

Yes, it doesn't work even if mousedev and evdev are already loaded.

I didn't notice 'evdev' requirement before, and I have not the problem
on another configuration with an old radeon card. Perhaps that's a side
effect of nvidia proprietary driver.

Regards,
- --
Encolpe DEGOUTE
http://encolpe.degoute.free.fr/
Logiciels libres, hockey sur glace et autres activités cérébrales
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDSURuvFPzBBlIZMMRAqI+AJsEs6tcx72rYWKS/a6Zx3YbsN1riACbBahv
RflD+mBDEfXdZgiQam5bORE=
=24AI
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Martijn Pieters <mj@zopatista.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #51 received at 332898@bugs.debian.org (full text, mbox):

From: Martijn Pieters <mj@zopatista.com>
To: Debian Bug Tracking System <332898@bugs.debian.org>
Subject: Another report: no touchpad without evdev
Date: Sun, 09 Oct 2005 18:49:15 +0200
Package: udev
Version: 0.070-3
Followup-For: Bug #332898

Just to add another datapoint: I cannot start the Xorg server without evdev
loaded either; loading mousedev is not enough. This is with a synaptics
touchpad on /dev/psaux (present without evdev loaded) and the
xfree86-synaptics-driver. I suspect the latter is the culprit here, but haven't
looked into this further due to timeconstraints this weekend.

-- Package-specific info:
-- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 0
lrwxrwxrwx  1 root root 20 Apr 11 02:54 020_permissions.rules -> ../permissions.rules
lrwxrwxrwx  1 root root 16 Sep 30 13:53 025_libsane.rules -> ../libsane.rules
lrwxrwxrwx  1 root root 12 Oct  7 11:36 050_hal-plugdev.rules -> ../hal.rules
lrwxrwxrwx  1 root root 19 Apr  7  2005 cd-aliases.rules -> ../cd-aliases.rules
lrwxrwxrwx  1 root root 13 Apr  7  2005 udev.rules -> ../udev.rules
lrwxrwxrwx  1 root root 19 Aug 16 11:29 z20_persistent.rules -> ../persistent.rules
lrwxrwxrwx  1 root root 12 Jul  4 21:11 z50_run.rules -> ../run.rules
lrwxrwxrwx  1 root root 16 Oct  9 00:45 z55_hotplug.rules -> ../hotplug.rules
lrwxrwxrwx  1 root root 19 Aug  3 12:55 z60_alsa-utils.rules -> ../alsa-utils.rules
lrwxrwxrwx  1 root root 15 Sep 20 10:22 z60_hdparm.rules -> ../hdparm.rules
lrwxrwxrwx  1 root root 17 Jul 10 01:15 z60_usbmount.rules -> ../usbmount.rules
lrwxrwxrwx  1 root root 17 Jul  4 21:11 z70_hotplugd.rules -> ../hotplugd.rules

-- /sys/:
/sys/block/hda/dev
/sys/block/hdc/dev
/sys/block/hdc/hdc1/dev
/sys/block/hdc/hdc2/dev
/sys/block/hdc/hdc5/dev
/sys/block/hdc/hdc6/dev
/sys/block/ram0/dev
/sys/block/ram1/dev
/sys/block/ram10/dev
/sys/block/ram11/dev
/sys/block/ram12/dev
/sys/block/ram13/dev
/sys/block/ram14/dev
/sys/block/ram15/dev
/sys/block/ram2/dev
/sys/block/ram3/dev
/sys/block/ram4/dev
/sys/block/ram5/dev
/sys/block/ram6/dev
/sys/block/ram7/dev
/sys/block/ram8/dev
/sys/block/ram9/dev
/sys/class/input/event0/dev
/sys/class/input/event1/dev
/sys/class/input/event2/dev
/sys/class/input/mice/dev
/sys/class/input/mouse0/dev
/sys/class/misc/agpgart/dev
/sys/class/misc/device-mapper/dev
/sys/class/misc/hpet/dev
/sys/class/misc/hw_random/dev
/sys/class/misc/ndiswrapper/dev
/sys/class/misc/psaux/dev
/sys/class/misc/rtc/dev
/sys/class/misc/vmmon/dev
/sys/class/nvidia/nvidia0/dev
/sys/class/nvidia/nvidiactl/dev
/sys/class/sound/adsp/dev
/sys/class/sound/audio/dev
/sys/class/sound/audio1/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/controlC1/dev
/sys/class/sound/dsp/dev
/sys/class/sound/dsp1/dev
/sys/class/sound/mixer/dev
/sys/class/sound/mixer1/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/pcmC0D1c/dev
/sys/class/sound/pcmC0D2c/dev
/sys/class/sound/pcmC0D3c/dev
/sys/class/sound/pcmC0D4p/dev
/sys/class/sound/pcmC1D0c/dev
/sys/class/sound/pcmC1D0p/dev
/sys/class/sound/timer/dev

-- Kernel configuration:


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages udev depends on:
ii  initscripts                   2.86.ds1-4 Standard scripts needed for bootin
ii  libc6                         2.3.5-6    GNU C Library: Shared libraries an
ii  libselinux1                   1.26-1     SELinux shared libraries
ii  lsb-base                      3.0-9      Linux Standard Base 3.0 init scrip
ii  makedev                       2.3.1-78   creates device files in /dev
ii  sed                           4.1.4-4    The GNU sed stream editor

udev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #56 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Martijn Pieters <mj@zopatista.com>, 332898@bugs.debian.org
Subject: Re: Bug#332898: Another report: no touchpad without evdev
Date: Sun, 9 Oct 2005 19:53:53 +0200
[Message part 1 (text/plain, inline)]
On Oct 09, Martijn Pieters <mj@zopatista.com> wrote:

> Just to add another datapoint: I cannot start the Xorg server without evdev
> loaded either; loading mousedev is not enough. This is with a synaptics
> touchpad on /dev/psaux (present without evdev loaded) and the
> xfree86-synaptics-driver. I suspect the latter is the culprit here, but haven't
> looked into this further due to timeconstraints this weekend.
You need to manually load evdev.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Martijn Pieters <mj@zopatista.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #61 received at 332898@bugs.debian.org (full text, mbox):

From: Martijn Pieters <mj@zopatista.com>
To: "Marco d'Itri" <md@Linux.IT>
Cc: 332898@bugs.debian.org
Subject: Re: Bug#332898: Another report: no touchpad without evdev
Date: Sun, 09 Oct 2005 20:31:47 +0200
[Message part 1 (text/plain, inline)]
Marco d'Itri wrote:
>>Just to add another datapoint: I cannot start the Xorg server without evdev
>>loaded either; loading mousedev is not enough. This is with a synaptics
>>touchpad on /dev/psaux (present without evdev loaded) and the
>>xfree86-synaptics-driver. I suspect the latter is the culprit here, but haven't
>>looked into this further due to timeconstraints this weekend.
> 
> You need to manually load evdev.

The point is more that hotplug used to take care this; I'll happily add 
it to /etc/modules, but I thought an extra reproducable case was helpful.

Martijn Pieters
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #66 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Martijn Pieters <mj@zopatista.com>
Cc: 332898@bugs.debian.org
Subject: Re: Bug#332898: Another report: no touchpad without evdev
Date: Sun, 9 Oct 2005 20:34:08 +0200
[Message part 1 (text/plain, inline)]
On Oct 09, Martijn Pieters <mj@zopatista.com> wrote:

> The point is more that hotplug used to take care this; I'll happily add 
> it to /etc/modules, but I thought an extra reproducable case was helpful.
The point is that the new udev lacks coldplug support for the input
subsystem, so you need a workaround until I can upload a new package
(hopefully tomorrow).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #73 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: "Gudjon I. Gudjonsson" <gudjon@mc2.chalmers.se>, ROBERTOJIMENOCA@terra.es, Encolpe DEGOUTE <encolpe@colpi.info>, 332898@bugs.debian.org, Encolpe Degoute <encolpe.degoute@free.fr>, Richard Antony Burton <richardaburton@hotmail.com>, Martijn Pieters <mj@zopatista.com>, Jukka Suomela <debian-reportbug@sammal.pp.fi>, Andreas Pakulat <apaku@gmx.de>
Subject: new udev package
Date: Mon, 10 Oct 2005 01:27:22 +0200
[Message part 1 (text/plain, inline)]
I uploaded a new *untested* package at http://www.bofh.it/~md/debian/ ,
please let me know ASAP if it fixes the bugs you reported (mainly
mousedev and evdev not being automatically loaded).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Jukka Suomela <jukka.suomela@cs.helsinki.fi>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #78 received at 332898@bugs.debian.org (full text, mbox):

From: Jukka Suomela <jukka.suomela@cs.helsinki.fi>
To: "Marco d'Itri" <md@linux.it>
Cc: 332898@bugs.debian.org
Subject: Re: new udev package
Date: Mon, 10 Oct 2005 08:35:00 +0300
On Monday, 2005-10-10 02:27, Marco d'Itri wrote:
> I uploaded a new *untested* package at http://www.bofh.it/~md/debian/ ,
> please let me know ASAP if it fixes the bugs you reported (mainly
> mousedev and evdev not being automatically loaded).

Hi,

I tried it:

- It no longer loads nvidiafb, good.

- It does load evdev.

- It does not load mousedev. "modprobe mousedev" fixes it.

Best regards,
Jukka Suomela



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Jukka Suomela <jukka.suomela@cs.helsinki.fi>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #83 received at 332898@bugs.debian.org (full text, mbox):

From: Jukka Suomela <jukka.suomela@cs.helsinki.fi>
To: "Marco d'Itri" <md@linux.it>
Cc: 332898@bugs.debian.org
Subject: Re: new udev package
Date: Mon, 10 Oct 2005 09:41:07 +0300
On Monday, 2005-10-10 08:35, Jukka Suomela wrote:
> - It does not load mousedev. "modprobe mousedev" fixes it.

Adding "sleep 6" in the beginning of /lib/hotplug/input.rc also "fixes" it. It 
seems to take that long before this box sets up all USB things and detects 
the mouse, and I think only after that the mouse is visible 
in /proc/bus/input/devices.

Btw, the new udev package also loads evbug; is this intentional? It seems like 
it writes every single keystroke to the kernel log.

Best regards,
Jukka Suomela



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #88 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Jukka Suomela <jukka.suomela@cs.helsinki.fi>
Cc: 332898@bugs.debian.org
Subject: Re: new udev package
Date: Mon, 10 Oct 2005 09:13:44 +0200
[Message part 1 (text/plain, inline)]
On Oct 10, Jukka Suomela <jukka.suomela@cs.helsinki.fi> wrote:

> On Monday, 2005-10-10 08:35, Jukka Suomela wrote:
> > - It does not load mousedev. "modprobe mousedev" fixes it.
> 
> Adding "sleep 6" in the beginning of /lib/hotplug/input.rc also "fixes" it. It 
> seems to take that long before this box sets up all USB things and detects 
> the mouse, and I think only after that the mouse is visible 
> in /proc/bus/input/devices.
Good point. And since no hotplug events are generated, I cannot wait for
them asyncronously.

> Btw, the new udev package also loads evbug; is this intentional? It seems 
No, this should not happen but when used this way modprobe does not use
the blacklists.

So looks like my approach was not useful after all. I think I will just
force loading mousedev and evdev at boot time until there will be a
fixed kernel in Debian.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to "Richard Burton" <richardaburton@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #93 received at 332898@bugs.debian.org (full text, mbox):

From: "Richard Burton" <richardaburton@hotmail.com>
To: md@linux.it
Cc: gudjon@mc2.chalmers.se, ROBERTOJIMENOCA@terra.es, encolpe@colpi.info, 332898@bugs.debian.org, encolpe.degoute@free.fr, mj@zopatista.com, debian-reportbug@sammal.pp.fi, apaku@gmx.de
Subject: RE: new udev package
Date: Mon, 10 Oct 2005 08:31:43 +0000
>I uploaded a new *untested* package at http://www.bofh.it/~md/debian/ ,
>please let me know ASAP if it fixes the bugs you reported (mainly
>mousedev and evdev not being automatically loaded).

Sorry, new package doesn't cause mousedev or psmouse to be loaded on my 
system, so without adding them to /etc/modules I still get no X.

Richard.





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Encolpe Degoute <encolpe.degoute@free.fr>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #98 received at 332898@bugs.debian.org (full text, mbox):

From: Encolpe Degoute <encolpe.degoute@free.fr>
To: Richard Burton <richardaburton@hotmail.com>
Cc: md@linux.it, gudjon@mc2.chalmers.se, ROBERTOJIMENOCA@terra.es, encolpe@colpi.info, 332898@bugs.debian.org, mj@zopatista.com, debian-reportbug@sammal.pp.fi, apaku@gmx.de
Subject: Re: new udev package
Date: Mon, 10 Oct 2005 13:48:28 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Richard Burton a écrit :
|
|> I uploaded a new *untested* package at http://www.bofh.it/~md/debian/ ,
|> please let me know ASAP if it fixes the bugs you reported (mainly
|> mousedev and evdev not being automatically loaded).
|
|
| Sorry, new package doesn't cause mousedev or psmouse to be loaded on my
| system, so without adding them to /etc/modules I still get no X.

The same for me.

Regards,
- --
Encolpe DEGOUTE
http://encolpe.degoute.free.fr/
Logiciels libres, hockey sur glace et autres activités cérébrales
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDSlUMvFPzBBlIZMMRAgPdAJ9u1h8+BVto/UMvoL5vnULi6H0zrQCePNpa
8ffRDwgTtdfP0yzStSKRHLM=
=Yvpz
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Martijn Pieters <mj@zopatista.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #103 received at 332898@bugs.debian.org (full text, mbox):

From: Martijn Pieters <mj@zopatista.com>
To: Richard Burton <richardaburton@hotmail.com>
Cc: md@linux.it, gudjon@mc2.chalmers.se, ROBERTOJIMENOCA@terra.es, encolpe@colpi.info, 332898@bugs.debian.org, encolpe.degoute@free.fr, debian-reportbug@sammal.pp.fi, apaku@gmx.de
Subject: Re: new udev package
Date: Mon, 10 Oct 2005 19:25:25 +0200
[Message part 1 (text/plain, inline)]
Richard Burton wrote:
> Sorry, new package doesn't cause mousedev or psmouse to be loaded on my 
> system, so without adding them to /etc/modules I still get no X.

Same here; I need to modprobe mousedev for things to work.

Martijn Pieters
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Encolpe DEGOUTE <encolpe@colpi.info>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #108 received at 332898-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 332898-close@bugs.debian.org
Subject: Bug#332898: fixed in udev 0.070-4
Date: Mon, 10 Oct 2005 10:17:35 -0700
Source: udev
Source-Version: 0.070-4

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

udev-udeb_0.070-4_i386.udeb
  to pool/main/u/udev/udev-udeb_0.070-4_i386.udeb
udev_0.070-4.diff.gz
  to pool/main/u/udev/udev_0.070-4.diff.gz
udev_0.070-4.dsc
  to pool/main/u/udev/udev_0.070-4.dsc
udev_0.070-4_i386.deb
  to pool/main/u/udev/udev_0.070-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 332898@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Oct 2005 19:04:58 +0200
Source: udev
Binary: udev udev-udeb
Architecture: source i386
Version: 0.070-4
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 332898 332899 332905 332946 332970
Changes: 
 udev (0.070-4) unstable; urgency=low
 .
   * Force loading evdev and mousedev until the kernel input subsystem
     will be fixed. (Closes: #332898)
   * Fixed /etc/modprobe.d/display_class. (Closes: #332899, #332905)
   * Raised the udevd timeout to 8 seconds. (Closes: #332946)
   * permissions.rules: changed urandom to 666. (Closes: #332970)
Files: 
 8bd806403f54e26a7183d5ca8465633a 578 admin optional udev_0.070-4.dsc
 14aee0bf151a1aac80d2d4caddaabf2f 41918 admin optional udev_0.070-4.diff.gz
 ed630bb31f2dd00a0003e4abb8a192be 314690 admin optional udev_0.070-4_i386.deb
 43fe65eb262d9defc98f4fbfb58c87f4 57246 debian-installer optional udev-udeb_0.070-4_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDSqBOFGfw2OHuP7ERAmrqAJ9y1botbCp7wdWglrgZnbTP5H7zLwCaAtQV
w3E4mfC6MjoBadn8PxPltdg=
=kerF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, richardaburton@hotmail.com, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Richard Antony Burton <richardaburton@hotmail.com>:
Extra info received and forwarded to list. Copy sent to richardaburton@hotmail.com, Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #113 received at 332898@bugs.debian.org (full text, mbox):

From: Richard Antony Burton <richardaburton@hotmail.com>
To: Debian Bug Tracking System <332898@bugs.debian.org>
Subject: udev: still not working with mouse
Date: Wed, 12 Oct 2005 09:56:54 +0100
Package: udev
Version: 0.070-4
Followup-For: Bug #332898


Udev now loads evdev (never actually noticed if this was loaded before on my
system with hotplug, but it certainly is now) and mousedev. This allows X to
start, but the cursor won't move. On the system I'm using atm (IBM Thinpad T23
with trackpoint) you need to load psmouse as well as mousedev, and this still
isn't being done by udev.

Has a bug been raised with the kernel people about getting a proper fix in
there? If so can you provide the number so we can keep an eye out for it.



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#332898; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #118 received at 332898@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Richard Antony Burton <richardaburton@hotmail.com>, 332898@bugs.debian.org
Subject: Re: Bug#332898: udev: still not working with mouse
Date: Wed, 12 Oct 2005 11:32:28 +0200
[Message part 1 (text/plain, inline)]
On Oct 12, Richard Antony Burton <richardaburton@hotmail.com> wrote:

> start, but the cursor won't move. On the system I'm using atm (IBM Thinpad T23
> with trackpoint) you need to load psmouse as well as mousedev, and this still
> isn't being done by udev.
Unrelated, #333368 (will be fixed today).

> Has a bug been raised with the kernel people about getting a proper fix in
> there? If so can you provide the number so we can keep an eye out for it.
The input subsystem needs major upstream changes that will probably
appear in 2.6.15.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:48:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:18:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.